Loading...
Searching...
No Matches
vulkan_resources.h File Reference
`#include "vulkan_internal.h"`
`#include "vulkan_memory.h"`

Go to the source code of this file.

## Classes

struct | Halide::Runtime::Internal::Vulkan::VulkanWorkgroupSizeBinding
struct | Halide::Runtime::Internal::Vulkan::VulkanDispatchData
struct | Halide::Runtime::Internal::Vulkan::VulkanSpecializationConstant
struct | Halide::Runtime::Internal::Vulkan::VulkanSharedMemoryAllocation
struct | Halide::Runtime::Internal::Vulkan::VulkanShaderBinding
struct | Halide::Runtime::Internal::Vulkan::VulkanCompiledShaderModule
struct | Halide::Runtime::Internal::Vulkan::VulkanCompilationCacheEntry

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal
namespace | Halide::Runtime::Internal::Vulkan

## Variables

WEAK Halide::Internal::GPUCompilationCache< VkDevice, VulkanCompilationCacheEntry * > | Halide::Runtime::Internal::Vulkan::compilation_cache